# ListViewDataUpdatedEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [DataUpdated](/api/wisej.web/lists-and-grids/listview.md#dataupdated) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ListViewDataUpdatedEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ListViewDataUpdatedEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) FirstItemIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): The index of the first [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) that has been loaded on the client.

### ![](/files/hsR4ok3152WyAf8J2C1u) LastItemIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): The index of the last [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) that has been loaded on the client.

## Used By

| Name                                                                                                                    | Description                                                                                                                                                                         |
| ----------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ListViewDataUpdatedEventHandler](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewdataupdatedeventhandler.md) | Represents the method that will handle the [DataUpdated](/api/wisej.web/lists-and-grids/listview.md#dataupdated) event of a [ListView](/api/wisej.web/lists-and-grids/listview.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.listviewdataupdatedeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
